package token;

import java.util.function.Supplier;

import file.FilePosition;
import sexpression.AtSignExpression;
import sexpression.SExpression;

public class AtSign extends Token {

    public AtSign(String text, FilePosition position) {
        super(text, position);
    }

    @Override
    public SExpression parseSExpression(Supplier<Token> getNextToken) {
        Token nextToken = getNextToken.get();
        SExpression argument = nextToken.parseSExpression(getNextToken);

        return new AtSignExpression(argument);
    }

}
